import * as FormData from "form-data";
import { IApiResult } from "./types/IUpdate";
export declare class ApiError extends Error {
    code: number;
    method: string;
    params: string;
}
export declare class Api {
    private readonly token;
    private readonly log;
    private readonly baseUrl;
    constructor(token: string);
    /**
     * Call method with params as a formdata
     */
    upload<TResult>(method: string, params: Record<string, any> | FormData): Promise<IApiResult<TResult>>;
    callMethod<TResult>(method: string, params: Record<string, any>): Promise<IApiResult<TResult>>;
}
