import { MessageEntityType } from "./types/IMessageEntity";
import { IMessageSendParams } from "./types/params/ISendParams";
import { IUser } from "./types/IUser";
export declare class MessageBuilder {
    static build(builderFn: (builder: MessageBuilderComponent) => string): Pick<IMessageSendParams, "entities" | "text">;
}
declare class MessageBuilderComponent {
    readonly id: string;
    private entities;
    getEntityById(entityId: string): {
        content: string;
        types: {
            [key: string]: any;
            type: MessageEntityType;
        }[];
    };
    mention(content: string): string;
    hashtag(content: string): string;
    cashtag(content: string): string;
    command(content: string): string;
    url(content: string): string;
    email(content: string): string;
    phone(content: string): string;
    bold(content: string): string;
    italic(content: string): string;
    underline(content: string): string;
    strikethrough(content: string): string;
    spoiler(content: string): string;
    code(content: string): string;
    pre(content: string, language: string): string;
    textLink(content: string, url: string): string;
    textMention(content: string, user: IUser): string;
    emoji(content: string, emoji: string): string;
    private add;
}
export {};
