"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatContext = void 0;
const Chat_1 = require("../models/Chat");
class ChatContext extends Chat_1.Chat {
    constructor(api, source) {
        super(source);
        this.api = api;
    }
    countMembers() {
        return this.execute("getChatMemberCount");
    }
    leave() {
        return this.execute("leaveChat");
    }
    async execute(method, params) {
        return (await this.api.callMethod(method, Object.assign({ chat_id: this.id }, (params !== null && params !== void 0 ? params : {})))).result;
    }
}
exports.ChatContext = ChatContext;
