import { IMessage } from "../types/IMessage";
import { Audio, Document, Photo, Video, VideoNote, Voice } from "./attachments";
import { Chat } from "./Chat";
import { Entity } from "./Entity";
import { User } from "./User";
export declare class Message extends Entity<IMessage> {
    readonly id: number;
    readonly date: number;
    readonly sender: User;
    readonly chat: Chat;
    readonly repliedMessage: Message;
    text: string;
    entities: string | import("../types").IMessageEntity[];
    audio: Audio;
    voice: Voice;
    video: Video;
    videoNote: VideoNote;
    document: Document;
    photo: Photo[];
    get hasAttachments(): boolean;
}
