import type { Api } from "../Api";
import type { UpdateHandler } from "../UpdateHandler";
export declare abstract class EventTransport {
    protected readonly api: Api;
    protected state: EventTransportState;
    constructor(api: Api);
    abstract start(handler: UpdateHandler, ...args: any[]): Promise<void>;
    abstract stop(): void;
    getState: () => EventTransportState;
}
export declare enum EventTransportState {
    NotLaunched = 0,
    Working = 1,
    Stopped = 2,
    Failed = 3
}
