/// <reference types="node" />
import { Api } from "../Api";
import { UpdateHandler } from "../UpdateHandler";
import { EventTransport } from "./EventTransport";
import { PathLike } from "fs";
declare type WebhookOptions = {
    url: string;
    ip?: string;
    secret?: string;
    maxConnections?: number;
    tls: {
        key: PathLike;
        cert: PathLike;
    };
};
declare type SupportedPort = 443 | 80 | 88 | 8443;
export declare class Webhook extends EventTransport {
    private readonly options;
    private server;
    private log;
    constructor(api: Api, options: WebhookOptions);
    start(handler: UpdateHandler, port?: SupportedPort): Promise<void>;
    stop(): void;
    private isValid;
    private setupWebhook;
    private revokeWebhook;
    private createServer;
    private get secret();
}
export {};
